package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.RegisterSchoolFile;

/**
 * 注册-学校-附件Mapper接口
 * 
 * @author ruoyi
 * @date 2023-05-24
 */
public interface RegisterSchoolFileMapper 
{
    /**
     * 查询注册-学校-附件
     * 
     * @param id 注册-学校-附件主键
     * @return 注册-学校-附件
     */
    public RegisterSchoolFile selectRegisterSchoolFileById(Long id);

    /**
     * 查询注册-学校-附件列表
     * 
     * @param registerSchoolFile 注册-学校-附件
     * @return 注册-学校-附件集合
     */
    public List<RegisterSchoolFile> selectRegisterSchoolFileList(RegisterSchoolFile registerSchoolFile);

    /**
     * 新增注册-学校-附件
     * 
     * @param registerSchoolFile 注册-学校-附件
     * @return 结果
     */
    public int insertRegisterSchoolFile(RegisterSchoolFile registerSchoolFile);

    /**
     * 修改注册-学校-附件
     * 
     * @param registerSchoolFile 注册-学校-附件
     * @return 结果
     */
    public int updateRegisterSchoolFile(RegisterSchoolFile registerSchoolFile);

    /**
     * 删除注册-学校-附件
     * 
     * @param id 注册-学校-附件主键
     * @return 结果
     */
    public int deleteRegisterSchoolFileById(Long id);

    /**
     * 批量删除注册-学校-附件
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRegisterSchoolFileByIds(Long[] ids);

    void deleteRegisterSchoolFileBySchoolId(Long schoolId);
}
