package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.RegisterParentsStudent;

/**
 * 注册-家长-学生Service接口
 * 
 * @author ruoyi
 * @date 2023-05-25
 */
public interface IRegisterParentsStudentService 
{
    /**
     * 查询注册-家长-学生
     * 
     * @param id 注册-家长-学生主键
     * @return 注册-家长-学生
     */
    public RegisterParentsStudent selectRegisterParentsStudentById(Long id);

    /**
     * 查询注册-家长-学生列表
     * 
     * @param registerParentsStudent 注册-家长-学生
     * @return 注册-家长-学生集合
     */
    public List<RegisterParentsStudent> selectRegisterParentsStudentList(RegisterParentsStudent registerParentsStudent);

    /**
     * 新增注册-家长-学生
     * 
     * @param registerParentsStudent 注册-家长-学生
     * @return 结果
     */
    public int insertRegisterParentsStudent(RegisterParentsStudent registerParentsStudent);

    /**
     * 修改注册-家长-学生
     * 
     * @param registerParentsStudent 注册-家长-学生
     * @return 结果
     */
    public int updateRegisterParentsStudent(RegisterParentsStudent registerParentsStudent);

    /**
     * 批量删除注册-家长-学生
     * 
     * @param ids 需要删除的注册-家长-学生主键集合
     * @return 结果
     */
    public int deleteRegisterParentsStudentByIds(Long[] ids);

    /**
     * 删除注册-家长-学生信息
     * 
     * @param id 注册-家长-学生主键
     * @return 结果
     */
    public int deleteRegisterParentsStudentById(Long id);
}
