import request from '@/utils/request'

// 查询学生档案信息列表
export function listtjch(data) {
  return request({
    url: '/score/data/indexPaiMing',
    method: 'post',
    data: data
  })
}

export function listBtu(data) {
  return request({
    url: '/score/data/indexBingTu',
    method: 'post',
    data: data
  })
}

export function tegetypw(query) {
  return request({
    url: '/system/dict/data/type',
    method: 'get',
    params: query
  })
}


export function listZxias(data) {
  return request({
    url: '/score/data/indexZheXian',
    method: 'post',
    data: data
  })
}





// 查询学生档案信息详细
export function getInfo(id) {
  return request({
    url: '/student/info/' + id,
    method: 'get'
  })
}

// 新增学生档案信息
export function addInfo(data) {
  return request({
    url: '/student/info',
    method: 'post',
    data: data
  })
}

// 修改学生档案信息
export function updateInfo(data) {
  return request({
    url: '/student/info/put',
    method: 'post',
    data: data
  })
}

// 删除学生档案信息
export function delInfo(id) {
  return request({
    url: '/student/info/delete/' + id,
    method: 'get'
  })
}

export function gettq(query) {
  return request({
    url: 'https://v0.yiketianqi.com/api',
    method: 'get',
	params: query
  })
}

export function getbanjd(query) {
  return request({
    url: '/applet/pc/classStudentNum',
    method: 'get',
	params: query
  })
}
