package com.ruoyi.common.constant;

/**
 * 缓存的key 常量
 * 
 * @author ruoyi
 */
public class CacheConstants
{
    /**
     * 登录用户 redis key
     */
    public static final String LOGIN_TOKEN_KEY = "login_tokens:";

    /**
     * 验证码 redis key
     */
    public static final String CAPTCHA_CODE_KEY = "captcha_codes:";

    /**
     * 参数管理 cache key
     */
    public static final String SYS_CONFIG_KEY = "sys_config:";
    /**
     * 下课管理
     */
    public static final String XIA_CONFIG_KEY = "xiake_config:";

    /**
     * 字典管理 cache key
     */
    public static final String SYS_DICT_KEY = "sys_dict:";

    /**
     * 防重提交 redis key
     */
    public static final String REPEAT_SUBMIT_KEY = "repeat_submit:";

    /**
     * 限流 redis key
     */
    public static final String RATE_LIMIT_KEY = "rate_limit:";

    /**
     * 登录账户密码错误次数 redis key
     */
    public static final String PWD_ERR_CNT_KEY = "pwd_err_cnt:";
    /**
     * 后台首页各分段学生人数 上一次考试数据
     */
    public static final String FEN_DUAN_LAST = "fen_duan_last:";
    /**
     * 后台首页各分段学生人数 最新考试数据
     */
    public static final String FEN_DUAN_NEW = "fen_duan_new:";
    /**
     * 最新考试id
     */
    public static final String SCORE_ID = "score_id:";
    /**
     * 对应考试id的总考试人数
     */
    public static final String SCORE_PEOPLE_ALL = "score_people_all:";
    /**
     * 对应考试id的查看人id
     */
    public static final String SCORE_PEOPLE_CHAKAN = "score_people_chakan:";
    /**
     * 对应考试id的查看人数
     */
    public static final String SCORE_PEOPLE_CHAKAN_COUNT = "score_people_chakan_count:";
    /**
     * 校园安全点赞key
     */
    public static final String XIAOYUAN_INFO_DIANZAN = "xiaoyuan_info_dianzan:";
    /**
     * 谁点赞的id
     */
    public static final String XIAOYUAN_INFO_DIANZAN_USER = "xiaoyuan_info_dianzan_user:";
    /**
     * 校园安全转发key
     */
    public static final String XIAOYUAN_INFO_ZHUANFA = "xiaoyuan_info_zhuanfa:";
}
