package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.RegisterTeacherClass;

/**
 * 注册-老师-班级（学科）Mapper接口
 * 
 * @author ruoyi
 * @date 2023-05-25
 */
public interface RegisterTeacherClassMapper 
{
    /**
     * 查询注册-老师-班级（学科）
     * 
     * @param id 注册-老师-班级（学科）主键
     * @return 注册-老师-班级（学科）
     */
    public RegisterTeacherClass selectRegisterTeacherClassById(Long id);

    /**
     * 查询注册-老师-班级（学科）列表
     * 
     * @param registerTeacherClass 注册-老师-班级（学科）
     * @return 注册-老师-班级（学科）集合
     */
    public List<RegisterTeacherClass> selectRegisterTeacherClassList(RegisterTeacherClass registerTeacherClass);

    /**
     * 新增注册-老师-班级（学科）
     * 
     * @param registerTeacherClass 注册-老师-班级（学科）
     * @return 结果
     */
    public int insertRegisterTeacherClass(RegisterTeacherClass registerTeacherClass);

    /**
     * 修改注册-老师-班级（学科）
     * 
     * @param registerTeacherClass 注册-老师-班级（学科）
     * @return 结果
     */
    public int updateRegisterTeacherClass(RegisterTeacherClass registerTeacherClass);

    /**
     * 删除注册-老师-班级（学科）
     * 
     * @param id 注册-老师-班级（学科）主键
     * @return 结果
     */
    public int deleteRegisterTeacherClassById(Long id);

    /**
     * 批量删除注册-老师-班级（学科）
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRegisterTeacherClassByIds(Long[] ids);

    void deleteRegisterTeacherClassByTeacherId(Long teacherId);

    void deleteRegisterTeacherClassByTeacherIds(Long[] ids);
}
