package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.StudentInfoOld;

/**
 * 学生档案历史信息Mapper接口
 * 
 * @author ruoyi
 * @date 2023-07-28
 */
public interface StudentInfoOldMapper 
{
    /**
     * 查询学生档案历史信息
     * 
     * @param id 学生档案历史信息主键
     * @return 学生档案历史信息
     */
    public StudentInfoOld selectStudentInfoOldById(Long id);

    /**
     * 查询学生档案历史信息列表
     * 
     * @param studentInfoOld 学生档案历史信息
     * @return 学生档案历史信息集合
     */
    public List<StudentInfoOld> selectStudentInfoOldList(StudentInfoOld studentInfoOld);

    /**
     * 新增学生档案历史信息
     * 
     * @param studentInfoOld 学生档案历史信息
     * @return 结果
     */
    public int insertStudentInfoOld(StudentInfoOld studentInfoOld);

    /**
     * 修改学生档案历史信息
     * 
     * @param studentInfoOld 学生档案历史信息
     * @return 结果
     */
    public int updateStudentInfoOld(StudentInfoOld studentInfoOld);

    /**
     * 删除学生档案历史信息
     * 
     * @param id 学生档案历史信息主键
     * @return 结果
     */
    public int deleteStudentInfoOldById(Long id);

    /**
     * 批量删除学生档案历史信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteStudentInfoOldByIds(Long[] ids);

    List<StudentInfoOld> selectStudentInfoOldListEcharts(StudentInfoOld studentInfoOld);
}
