import request from '@/utils/request'

// 查询成绩列表
export function listData(query) {
  return request({
    url: '/system/reservat/list',
    method: 'get',
    params: query
  })
}

// 查询成绩详细
export function getData(data) {
  return request({
    url: '/system/reservat/' + data,
    method: 'get',
	// data: data
  })
}

// 新增成绩
export function addData(data) {
  return request({
    url: '/system/reservat',
    method: 'post',
    data: data
  })
}

// 修改成绩
export function updateData(data) {
  return request({
    url: '/system/reservat/put',
    method: 'post',
    data: data
  })
}

// 删除成绩
export function delData(scoreId) {
  return request({
    url: '/system/reservat/delete/' + scoreId,
    method: 'get'
  })
}
export function setPass(data) {
  return request({
    url: '/system/reservat/sh',
    method: 'post',
    data: data
  })
}
