const getters = {
  sidebar: state => state.app.sidebar,
  size: state => state.app.size,
  device: state => state.app.device,
  dict: state => state.dict.dict,
  visitedViews: state => state.tagsView.visitedViews,
  cachedViews: state => state.tagsView.cachedViews,
  token: state => state.user.token,
  avatar: state => state.user.avatar,
  name: state => state.user.name,
  introduction: state => state.user.introduction,
  roles: state => state.user.roles,
  rolesName: state => state.user.rolesName,
  nickName: state => state.user.nickName,
  userId: state => state.user.userId,
  tenantId: state => state.user.tenantId,
  userType: state => state.user.userType,
  dept: state => state.user.dept,
  schoolId: state => state.user.schoolId,
  permissions: state => state.user.permissions,
  teacherClass: state => state.user.teacherClass,
  permission_routes: state => state.permission.routes,
  topbarRouters:state => state.permission.topbarRouters,
  defaultRoutes:state => state.permission.defaultRoutes,
  sidebarRouters:state => state.permission.sidebarRouters,
}
export default getters
